package com.neusoft.smart.pos.exchangeStrategy.persistent.domain;

import java.io.Serializable;

public class ExchangeStrategy implements Serializable {
    private Integer strategyId;

    private Integer strategyTypeId;

    private Integer cardId;

    private String params;

    private String strategyCategory;

    private static final long serialVersionUID = 1L;

    public Integer getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Integer strategyId) {
        this.strategyId = strategyId;
    }

    public Integer getStrategyTypeId() {
        return strategyTypeId;
    }

    public void setStrategyTypeId(Integer strategyTypeId) {
        this.strategyTypeId = strategyTypeId;
    }

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params == null ? null : params.trim();
    }

    public String getStrategyCategory() {
        return strategyCategory;
    }

    public void setStrategyCategory(String strategyCategory) {
        this.strategyCategory = strategyCategory == null ? null : strategyCategory.trim();
    }
}